# AIWaypointList_Vehicle Class Reference
[Classes that create a list of items.]

Creates a list of waypoints which the vehicle has in its orders. More...

`#include <ai_waypointlist.hpp>`

Inheritance diagram for AIWaypointList_Vehicle:

## Public Member Functions

| AIWaypointList_Vehicle (VehicleID vehicle_id)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Creates a list of waypoints which the vehicle has in its orders.

Definition at line 25 of file ai_waypointlist.hpp.

## Constructor & Destructor Documentation

AIWaypointList_Vehicle::AIWaypointList_Vehicle | ( | VehicleID | vehicle_id | ) |

Parameters:

  | vehicle_id | The vehicle to get the list of waypoints he has in its orders from.

Definition at line 20 of file ai_waypointlist.cpp.

References AIAbstractList::AddItem(), and AIVehicle::IsValidVehicle().

The documentation for this class was generated from the following files:

- src/ai/api/ai_waypointlist.hpp
- src/ai/api/ai_waypointlist.cpp